package com.e6yun.project.sdk.api.example;

import com.e6yun.project.sdk.api.E6SdkApi;
import com.e6yun.project.sdk.api.exception.ApiException;
import com.e6yun.project.sdk.api.pojo.basevo.basic.EquipInfoReal;

public class GetEquipInfoHistory {
    static E6SdkApi e6SdkApi = new E6SdkApi("http://api.e6yun.com/", "您的appkey", "您的secreKey");

    public static void main(String[] args) {

        try {
            EquipInfoReal equipInfoReal = new EquipInfoReal();
            equipInfoReal.setBtime("2021-07-07 10:00:00");
            equipInfoReal.setEtime("2021-07-13 10:00:00");
            equipInfoReal.setSecond("1");
            equipInfoReal.setEquipcode("97111600020");
            equipInfoReal.setSessionid("97111600020");
            equipInfoReal.setIsoffsetlonlat("1");

            System.out.println(e6SdkApi.getEquipInfoHistory(equipInfoReal));
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
